import { DynamicModule, MiddlewareConsumer, NestModule } from '@nestjs/common';
import { Logger, LoggerModuleOptions } from './logger.types';
export declare class LoggerModule implements NestModule {
    private logger;
    constructor(logger: Logger);
    configure(consumer: MiddlewareConsumer): void;
    static forRoot(options: LoggerModuleOptions): DynamicModule;
}
